import {} from './interface/database.interface.js';
import { TypeOrmModule } from '@nestjs/typeorm';
export class DatabaseModule {
    static register(config) {
        return {
            module: DatabaseModule,
            imports: [
                TypeOrmModule.forRootAsync({
                    name: config.database,
                    useFactory: () => {
                        // @ts-ignore
                        return {
                            ...config
                        };
                    },
                }),
            ],
            exports: [TypeOrmModule]
        };
    }
    static forEntity(config, entities) {
        return {
            module: DatabaseModule,
            imports: [
                TypeOrmModule.forFeature(entities, config.database)
            ],
            exports: [TypeOrmModule]
        };
    }
}
//# sourceMappingURL=database.module.js.map